<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * For example, it puts together the home page when no home.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 */
global $data;
get_header(); ?>
	<div id="main" class="<?php echo $data['layout']; ?>">
	<?php if ( $data['front_page_blog_index'] == 1 ) { ?>
		<?php if (is_home() && ! is_paged()) { 
			$block = $data['homepage_blocks']['enabled'];
			if ($block):
			foreach ($block as $key=>$value) {
				switch($key) {
				case 'image_slider':
					 if ( $data['slider_select'] == "flex" ) { flex_slider(); };
					 if ( $data['slider_select'] == "refine") { refine_slide(); };
				break;
				case 'tagline':
					tag_line();
				break;			
				case 'content_boxes':
					content_boxes();
				break;
				case 'latest_work':
					latest_work();
				break;
				case 'from_blog':
					from_blog();
				break;	
				case 'testimony':
					testimony();
				break;	
				case 'key_features':
					key_features();
				break;													
			}
			}
			endif;
			?>		
		<?php } else { ?>
			<?php get_template_part( 'loop', 'index' ); ?>
		<?php } ?>
	<?php } else { ?>
		<?php get_template_part( 'loop', 'index' ); ?>
	<?php } ?>
	</div><!--main-->
<?php get_footer(); ?>