<?php
/*
Template Name: Contact Page
*/
?>

<?php global $data; 
$nameError = '';
$emailError = '';
$phoneError = '';
$commentError = '';

if(isset($_POST['submitted'])) {
		if(trim($_POST['contactName']) === '') {
			$nameError = 'Please enter your name.';
			$hasError = true;
		} else {
			$name = trim($_POST['contactName']);
		}
		
		if(trim($_POST['email']) === '')  {
			$emailError = 'Please enter your email address.';
			$hasError = true;
		} else if (!eregi("^[A-Z0-9._%-]+@[A-Z0-9._%-]+\.[A-Z]{2,4}$", trim($_POST['email']))) {
			$emailError = 'You entered an invalid email address.';
			$hasError = true;
		} else {
			$email = trim($_POST['email']);
		}
		
		if(trim($_POST['phone']) === '') {
			$phoneError = 'Please enter your phone number.';
			$hasError = true;
		} else {
			$phone = trim($_POST['phone']);
		}

			
		if(trim($_POST['comments']) === '') {
			$commentError = 'Please enter a message.';
			$hasError = true;
		} else {
			if(function_exists('stripslashes')) {
				$comments = stripslashes(trim($_POST['comments']));
			} else {
				$comments = trim($_POST['comments']);
			}
		}
			
		if(!isset($hasError)) {
			$emailTo = $data['contact_email'];
			$subject = '[Contact Form] From '.$name;
			$body = "Name: $name \n\n";
			$body .= "Email: $email \n\n";
			$body .= "Phone: $phone \n\n";
			$body .= "Comments: $comments";
			$headers = 'From: '.$name.' <'.$emailTo.'>' . "\r\n" . 'Reply-To: ' . $emailTo;
			
			mail($emailTo, $subject, $body, $headers);
			$emailSent = true;
		}
	
} ?>
<?php get_header(); ?>
<?php
	$addresses = explode('|', $data['gmap_address']);
	$markers = '';
	foreach($addresses as $address_string) {
		$markers .= "{
			address: '{$address_string}',
			html: {
				content: '{$address_string}',
				popup: true
			} 
		},";	
	}
?>
<script type='text/javascript'>
	jQuery(document).ready(function($) {
		jQuery('#gmap').goMap({
			address: '<?php echo $addresses[0]; ?>',
			maptype: '<?php echo $data['gmap_type']; ?>',
			zoom: <?php echo $data['map_zoom_level']; ?>,
			scrollwheel: <?php if($data['map_scrollwheel']): ?>true<?php else: ?>false<?php endif; ?>,
			scaleControl: <?php if($data['map_scale']): ?>true<?php else: ?>false<?php endif; ?>,
			navigationControl: <?php if($data['map_zoomcontrol']): ?>true<?php else: ?>false<?php endif; ?>,
	        markers: [<?php echo $markers; ?>]
		});
	});
</script>

<div class="gmap <?php echo $data['layout']; ?>" id="gmap">
</div>
<div id="contact-form-wrap" class="<?php echo $data['layout']; ?>">
	<div id="conatact-form">
		<div id="content-holder6">
		<?php if ( have_posts() ) : while (have_posts() ) : the_post(); ?>	
			<div class="clear"></div>
			<?php if ( $data['contact_email'] == '' ) { ?>
        		<?php echo do_shortcode( '[alert type="error"]'.__( 'E-mail has not been setup properly. Please add your contact e-mail!', 'framework' ).'[/alert]' );  ?>
				<?php } ?>				
				
				<?php if(isset($emailSent) && $emailSent == true) { ?>
					<div class="thanks">
						<p><?php echo do_shortcode( '[alert type="success"]'.__( 'Thanks, your email was sent successfully.', 'framework' ).'[/alert]' );  ?></p>
					</div>
				<?php } else { ?>
					<?php if(isset($hasError) || isset($captchaError)) { ?>
						<p class="contact-error"><?php echo do_shortcode( '[alert type="error"]'.__( 'Sorry, an error occured.', 'framework' ).'[/alert]' );  ?><p>					
					<?php } ?>
					<br> 
					<div class="clear"></div>
						<br>
						<h2 class="address"><?php _e('Contact Us:', 'framework') ?></h2>
						<br>
						<h3><?php the_content();?></h3>
						<br>
						<form action="<?php the_permalink(); ?>" id="contactForm" method="post">
							<div class="left-panel">
								<p>
									<label for="contactName"><?php _e('Name: *', 'framework') ?>
										<?php if($nameError != '') { ?>
											<span class="contact-error"><?php echo $nameError; ?></span> 
										<?php } ?>

									</label>
									<span class="your-name">
										<input type="text" name="contactName" id="contactName" value="<?php if(isset($_POST['contactName'])) echo $_POST['contactName'];?>" class="required requiredField" />
									</span>
								</p>
								<p>
									<label for="email"><?php _e('Email: *', 'framework') ?>
										<?php if($emailError != '') { ?>
											<span class="contact-error"><?php echo $emailError; ?></span>
										<?php } ?>									
									</label>
									<span class="your-email">
										<input type="text" name="email" id="email" value="<?php if(isset($_POST['email']))  echo $_POST['email'];?>" class="required requiredField email" />
									</span>
								</p>
								<p>
									<label for="phone"><?php _e('Phone:', 'framework') ?></label>	
									<span class="your-phone">
										<input type="text" name="phone" id="phone" value="<?php if(isset($_POST['phone']))  echo $_POST['phone'];?>" class="phone" />
									</span>
								</p>
							</div>
							<div class="right-panel">
								<p>
									<label for="commentsText"><?php _e('Message: *', 'framework') ?>
										<?php if($commentError != '') { ?>
											<span class="contact-error"><?php echo $commentError; ?></span> 
										<?php } ?>									
									</label>
									<span class="your-message">
										<textarea name="comments" id="commentsText" rows="20" cols="30" class="required requiredField"><?php if(isset($_POST['comments'])) { if(function_exists('stripslashes')) { echo stripslashes($_POST['comments']); } else { echo $_POST['comments']; } } ?></textarea>
									</span>
								</p>
								<p>
									<input type="hidden" name="submitted" id="submitted" value="true" />
									<button class="button large green" type="submit">
                                    	<span class="left"><span class="right"><?php _e('Send Email', 'framework') ?></span></span>
                                	</button>
								</p>
							</div>
						</form>			
				<?php } ?>
				<div class="clear"></div>
		<?php endwhile; else: ?>
		<?php endif; ?>
		</div>
	</div>
</div><!--contact-form-wrap-->
<div id="office-location-wrap" class="<?php echo $data['layout']; ?>">
	<div id="content-holder7">
		<br>
		<br>
		<section class="columns content-boxes columns-3 center-align">
			<article class="col">
			<?php if ( $data['address_enable'] == 1) { ?>
				<h3><?php _e('Visit Our Office:', 'framework') ?></h3>
				<dl class="office">
					<dt>
						<i class="ico icon-map-marker"></i>
						<strong><?php _e('Address:', 'framework') ?></strong>
					</dt>
					<dd><?php echo $data['contact_address'];?></dd>
					<dt>
						<i class="ico icon-phone"></i>
						<strong><?php _e('Phone:', 'framework') ?></strong>
					</dt>
					<dd><?php echo $data['phone_number'];?></dd>
					<dt>
						<i class="ico icon-envelope"></i>
						<strong><?php _e('Email:', 'framework') ?></strong>
					</dt>
					<dd><a href="mailto:<?php echo $data['top_panel_email'];?>"]<?php echo $data['top_panel_email'];?>"><?php echo $data['top_panel_email'];?></a></dd>
				</dl>
			<?php } ?>
			</article>
			<article class="col">
			<?php if ( $data['business_hours_enable'] == 1) { ?>
				<h3><?php _e('Business Hours:', 'framework') ?></h3>
				<dl class="office">
					<dt>
						<i class="ico icon-time"></i>
						<strong><?php _e('Monday', 'framework') ?></strong>
					</dt>
					<dd><?php echo $data['bh_open_monday'];?><?php if ($data['bh_open_monday'] !="Closed") {?> - <?php echo $data['bh_close_monday']; };?></dd>
					<dt>
						<i class="ico icon-time"></i>
						<strong><?php _e('Tuesday', 'framework') ?></strong>
					</dt>
					<dd><?php echo $data['bh_open_tuesday'];?><?php if ($data['bh_open_tuesday'] !="Closed") {?> - <?php echo $data['bh_close_tuesday']; };?></dd>
					<dt>
						<i class="ico icon-time"></i>
						<strong><?php _e('Wednesday', 'framework') ?></strong>
					</dt>
					<dd><?php echo $data['bh_open_wednesday'];?><?php if ($data['bh_open_wednesday'] !="Closed") {?> - <?php echo $data['bh_close_wednesday']; };?></dd>
					<dt>
						<i class="ico icon-time"></i>
						<strong><?php _e('Thursday', 'framework') ?></strong>
					</dt>
					<dd><?php echo $data['bh_open_thursday'];?><?php if ($data['bh_open_thursday'] !="Closed") {?> - <?php echo $data['bh_close_thursday']; };?></dd>
					<dt>
						<i class="ico icon-time"></i>
						<strong><?php _e('Friday', 'framework') ?></strong>
					</dt>
					<dd><?php echo $data['bh_open_friday'];?><?php if ($data['bh_open_friday'] !="Closed") {?> - <?php echo $data['bh_close_friday']; };?></dd>
					<dt>
						<i class="ico icon-time"></i>
						<strong><?php _e('Saturday', 'framework') ?></strong>
					</dt>
					<dd><?php echo $data['bh_open_saturday'];?><?php if ($data['bh_open_saturday'] !="Closed") {?> - <?php echo $data['bh_close_saturday']; };?></dd>
					<dt>
						<i class="ico icon-time"></i>
						<strong><?php _e('Sunday', 'framework') ?></strong>
					</dt>
					<dd><?php echo $data['bh_open_sunday'];?><?php if ($data['bh_open_sunday'] !="Closed") {?> - <?php echo $data['bh_close_sunday']; };?></dd>
				</dl>
			<?php } ?>
			</article>
			<article class="col">
			<?php if ( $data['notes_enable'] == 1) { ?>
				<p class="notes1">
					<?php echo $data['notes_1']; ?>
				</p>
				<p class="notes2">
					<?php echo $data['notes_2']; ?>
				</p>
			<?php } ?>
			</article>
		</section>
	</div>
</div><!--office-location-wrap-->
<?php get_footer(); ?>
